Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/jpegoptim: new aport

From: Aji Kisworo Mukti <aji.kisworo.mukti_at_gmail.com>
Date: Sun, 14 Aug 2016 11:53:50 +0700

---
 testing/jpegoptim/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/jpegoptim/APKBUILD
diff --git a/testing/jpegoptim/APKBUILD b/testing/jpegoptim/APKBUILD
new file mode 100644
index 0000000..3445cd7
--- /dev/null
+++ b/testing/jpegoptim/APKBUILD
_at_@ -0,0 +1,35 @@
+# Contributor: Aji Kisworo Mukti <aji.kisworo.mukti_at_gmail.com>
+# Maintainer: Aji Kisworo Mukti <aji.kisworo.mukti_at_gmail.com>
+pkgname=jpegoptim
+pkgver=1.4.3
+pkgrel=0
+pkgdesc="Utility to optimize jpeg files"
+url="https://github.com/tjko/jpegoptim"
+arch="all"
+license="GPL2"
+depends="libjpeg-turbo"
+makedepends="libjpeg-turbo-dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://github.com/tjko/jpegoptim/archive/RELEASE.$pkgver.tar.gz"
+builddir="$srcdir"/$pkgname-RELEASE.$pkgver
+
+build() {
+	cd "$builddir"
+	./configure \
+		--prefix=/usr/ \
+		--mandir=/usr/share/man/ \
+		|| return 1
+	make || return 1
+	make strip || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	return 0
+}
+
+md5sums="5a355ff79b8eba14545fe96e3acb2f4c  RELEASE.1.4.3.tar.gz"
+sha256sums="f892f5917c8dd8259d319df204e4bc13806b90389041ca7a4a24d8a5c25c7013  RELEASE.1.4.3.tar.gz"
+sha512sums="55a2b9842aa62fbe89557490112fe7b9e78265db12d6a46c0f4facdb88eb53b0f8da3480defd31977070c0e879034f8b5061d51177ca9345f04221abbc7ecd13  RELEASE.1.4.3.tar.gz"
-- 
2.9.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Aug 14 2016 - 11:53:50 GMT